commit 4f668728b8d0b9b10b75441ef24d3d7bc726cf48
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Tue Aug 13 18:21:24 2013 +0100

    Remove rpm list collection from RHN module
    
    The RHN module duplicates RPM module functionality by collecting
    a list of installed RPMs. Since the external satellite debugging
    scripts also collect this it means the data is triplicated in an
    sos report on satellite/spacewalk hosts.
    
    Remove the duplication in RHN to lessen this somewhat.
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

diff --git a/sos/plugins/rhn.py b/sos/plugins/rhn.py
index 987fc5a..c9ded46 100644
--- a/sos/plugins/rhn.py
+++ b/sos/plugins/rhn.py
@@ -65,7 +65,6 @@ class rhn(sos.plugintools.PluginBase):
         self.addCopySpec("/var/log/nocpulse/TSDBLocalQueue/TSDBLocalQueue.log")
 
         self.addCopySpec("/root/ssl-build")
-        self.collectExtOutput("rpm -qa --last", symlink = "rpm-manifest")
         self.collectExtOutput("/usr/bin/rhn-schema-version", symlink = "database-schema-version")
         self.collectExtOutput("/usr/bin/rhn-charsets", symlink = "database-character-sets")
 
